Package org.kapott.hbci.datatypes

## Class SyntaxBin

- java.lang.Object
- - org.kapott.hbci.datatypes.SyntaxDE
  - - org.kapott.hbci.datatypes.SyntaxBin

    public class SyntaxBin
    extends SyntaxDE

### Constructor Summary

Constructors
`SyntaxBin​(java.lang.StringBuffer res, int minsize, int maxsize)`
`SyntaxBin​(java.lang.String x, int minlen, int maxlen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init​(java.lang.StringBuffer res, int minsize, int maxsize)`
`void` `init​(java.lang.String x, int minlen, int maxlen)`
`java.lang.String` `toString​(int zero)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, init, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxBin

    public SyntaxBin​(java.lang.String x,
                     int minlen,
                     int maxlen)

See Also:
  `SyntaxDE`

#### SyntaxBin

    public SyntaxBin​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

See Also:
  `SyntaxDE`

### Method Detail

#### init

    public void init​(java.lang.String x,
                     int minlen,
                     int maxlen)

Overrides:
  `init` in class `SyntaxDE`

#### toString

    public java.lang.String toString​(int zero)

Overrides:
  `toString` in class `SyntaxDE`
Parameters:
  `zero` - Just a dummy argument to overload the toString method.
Returns:
  A String containing the HBCI representation of this data element
See Also:
  `SyntaxDE`

#### init

    public void init​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

Overrides:
  `init` in class `SyntaxDE`